Subject: Re: [bug#73128] [PATCH gnome-team v2 12/13] gnu: mutter: Update to 46.4.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 14 Sep 2024 23:41:21 +0900

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Samstag, dem 14.09.2024 um 22:27 +0900 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Samstag, dem 14.09.2024 um 00:01 +0900 schrieb Maxim Cournoyer:
>> > > Hi,
>> > > 
>> > > Liliana Marie Prikler <[email-masked]> writes:
>> > > 
>> > > [...]
>> > > 
>> > > >             libxrandr
>> > > >             libxtst
>> > > > +           linux-libre-headers-6.1      ; for
>> > > > dma_buf_export_sync_file
>> > > >             pipewire
>> > > 
>> > > This reminds me, we should do something about
>> > > https://issues.guix.gnu.org/72119.
>> > Not sure if that's related, but it seems you need a Linux 6 kernel
>> > for GNOME now.  I haven't seen a switch to disable it – we would
>> > need a patch for that.
>> 
>> I propose we rename current 'linux-libre-headers' to
>> 'linux-libre-headers/pinned', making 'linux-libre-headers' track
>> latest from there.
>> 
>> Then, we'd bump linux-libre-headers/pinned to latest in a
>> world-rebuilding branch.
>> 
>> Does that sound like a plan?
> SGTM, but I'm not sure whether that's something for gnome-team.  We
> might want to discuss this within a wider area.

Agreed.  I've proposed the same to Leo and Wilker in the thread of
bug#66968 (https://issues.guix.gnu.org/66968).

-- 
Thanks,
Maxim